# CurveUsdCreate

### Description

Action that creates a curveusd position on behalf of user's wallet

### Action ID

`0x269ac704`

### SDK Action

```ts
const curveUsdCreateAction = new dfs.actions.curveusd.CurveUsdCreateAction(
    controllerAddress,
    from,
    to,
    collateralAmount,
    debtAmount,
    nBands
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the curveusd market controller
    /// @param from Address from which to pull collateral asset, will default to user's wallet
    /// @param to Address that will receive the borrowed crvUSD, will default to user's wallet
    /// @param collateralAmount Amount of collateral asset to supply
    /// @param debtAmount Amount of crvUSD to borrow (does not support uint.max)
    /// @param nBands Number of bands in which the collateral will be supplied
    struct Params {
        address controllerAddress;
        address from;
        address to;
        uint256 collateralAmount;
        uint256 debtAmount;
        uint256 nBands;
    }
```

### Return Value

```solidity
return bytes32(generatedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("CurveUsdCreate", logData);
logger.logActionDirectEvent("CurveUsdCreate", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curveusd/curveusdcreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
